> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# List Scorecards

GET https://api.vapi.ai/observability/scorecard

Reference: https://docs.vapi.ai/api-reference/observability-scorecard/scorecard-controller-get-paginated

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /observability/scorecard:
    get:
      operationId: scorecard-controller-get-paginated
      summary: List Scorecards
      tags:
        - subpackage_observabilityScorecard
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: This is the page number to return. Defaults to 1.
          required: false
          schema:
            type: number
            format: double
        - name: sortOrder
          in: query
          description: This is the sort order for pagination. Defaults to 'DESC'.
          required: false
          schema:
            $ref: '#/components/schemas/ObservabilityScorecardGetParametersSortOrder'
        - name: limit
          in: query
          description: This is the maximum number of items to return. Defaults to 100.
          required: false
          schema:
            type: number
            format: double
        - name: createdAtGt
          in: query
          description: >-
            This will return items where the createdAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLt
          in: query
          description: >-
            This will return items where the createdAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtGe
          in: query
          description: >-
            This will return items where the createdAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLe
          in: query
          description: >-
            This will return items where the createdAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGt
          in: query
          description: >-
            This will return items where the updatedAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLt
          in: query
          description: >-
            This will return items where the updatedAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGe
          in: query
          description: >-
            This will return items where the updatedAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLe
          in: query
          description: >-
            This will return items where the updatedAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorecardPaginatedResponse'
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    ObservabilityScorecardGetParametersSortOrder:
      type: string
      enum:
        - ASC
        - DESC
      title: ObservabilityScorecardGetParametersSortOrder
    ScorecardMetricConditionsItems:
      type: object
      properties: {}
      title: ScorecardMetricConditionsItems
    ScorecardMetric:
      type: object
      properties:
        structuredOutputId:
          type: string
          description: >-
            This is the unique identifier for the structured output that will be
            used to evaluate the scorecard.

            The structured output must be of type number or boolean only for
            now.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/ScorecardMetricConditionsItems'
          description: >-
            These are the conditions that will be used to evaluate the
            scorecard.

            Each condition will have a comparator, value, and points that will
            be used to calculate the final score.

            The points will be added to the overall score if the condition is
            met.

            The overall score will be normalized to a 100 point scale to ensure
            uniformity across different scorecards.
      required:
        - structuredOutputId
        - conditions
      title: ScorecardMetric
    Scorecard:
      type: object
      properties:
        id:
          type: string
          description: This is the unique identifier for the scorecard.
        orgId:
          type: string
          description: >-
            This is the unique identifier for the org that this scorecard
            belongs to.
        createdAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the scorecard was
            created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the scorecard was last
            updated.
        name:
          type: string
          description: >-
            This is the name of the scorecard. It is only for user reference and
            will not be used for any evaluation.
        description:
          type: string
          description: >-
            This is the description of the scorecard. It is only for user
            reference and will not be used for any evaluation.
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/ScorecardMetric'
          description: >-
            These are the metrics that will be used to evaluate the scorecard.

            Each metric will have a set of conditions and points that will be
            used to generate the score.
        assistantIds:
          type: array
          items:
            type: string
          description: >-
            These are the assistant IDs that this scorecard is linked to.

            When linked to assistants, this scorecard will be available for
            evaluation during those assistants' calls.
      required:
        - id
        - orgId
        - createdAt
        - updatedAt
        - metrics
      title: Scorecard
    PaginationMeta:
      type: object
      properties:
        itemsPerPage:
          type: number
          format: double
        totalItems:
          type: number
          format: double
        currentPage:
          type: number
          format: double
        itemsBeyondRetention:
          type: boolean
        createdAtLe:
          type: string
          format: date-time
        createdAtGe:
          type: string
          format: date-time
      required:
        - itemsPerPage
        - totalItems
        - currentPage
      title: PaginationMeta
    ScorecardPaginatedResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Scorecard'
        metadata:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - results
        - metadata
      title: ScorecardPaginatedResponse
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.observability_scorecard.scorecard_controller_get_paginated()

```

```go
package example

import (
    context "context"

    serversdkgo "github.com/VapiAI/server-sdk-go"
    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    request := &serversdkgo.ScorecardControllerGetPaginatedRequest{}
    client.ObservabilityScorecard.ScorecardControllerGetPaginated(
        context.TODO(),
        request,
    )
}

```